/*********************************************************************************************************************/
/*    BME 363 Biomedical Instrumentation Laboratory, Biomedical Engineering Program, University of Rhode Island      */
/*            Licensed under the Apache License, Version 2.0 <http://www.apache.org/licenses/LICENSE-2.0>            */
/*                Initiated by Cody Goldberg in January 2016; Modified by Ying Sun in December 2016                  */
/*********************************************************************************************************************/

package edu.uri.egr.bme363lab;

import edu.uri.egr.hermes.Hermes;
import timber.log.Timber;

public class Application extends android.app.Application {

    /**
     * onCreate
     * This runs when the Application is first starting.  Before any Activities or anything else show up.
     * Right now we "plant" a "debug tree" in order to see logging in our ADB logcat.
     */
    @Override
    public void onCreate() {
        super.onCreate();

        // If we're in DEBUG mode.  This flag is set based on the buildType set on compile.
        if (BuildConfig.DEBUG)
            Timber.plant(new Timber.DebugTree());

        Hermes.init(this, new Hermes.Config()
                .enableDebug(false));
    }
}
